Subject: Re: linux-next: build failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Wed, 11 Mar 2026 17:09:04 +0100

On Wed, Mar 11, 2026 at 08:03:50PM +0530, Ojaswin Mujoo wrote:
> On Wed, Mar 11, 2026 at 11:37:43AM +0100, Peter Zijlstra wrote:

> > [11:17:27] ==================================================================
> > [11:17:27] BUG: KASAN: slab-use-after-free in __percpu_counter_init_many+0x21b/0x2f0
> > [11:17:27] Write of size 8 at addr ffff8880029425a8 by task kunit_try_catch/37
> 
> Hi Peter,
> 
> I believe this issue is resolved with [1]. However, I think this might
> not be the same as the issue reported originally as we the original
> issue seems to be in mballoc-tests rather than extent-tests. I'll try to
> look into it a bit more.
> 
> [1] https://lore.kernel.org/linux-ext4/5bb[email-masked]/

I can confirm that solves the KASAN splat; it also cures the defconfig
hang that was initially mis-attributed to the mutex patch, but turned
out to be memory corruption due to that issue KASAN found.

FWIW:

Tested-by: Peter Zijlstra (Intel) <[email-masked]>